// src/jsend_response_macros.ts
import { Response, ResponseStatus } from "@adonisjs/core/http";
Response.macro("jsendSuccess", function(data, status = ResponseStatus.Ok) {
  this.status(status).json({
    status: "success",
    data: data === void 0 ? null : data
  });
});
Response.macro("jsendFail", function(data, status = ResponseStatus.BadRequest) {
  this.status(status).json({
    status: "fail",
    data
  });
});
Response.macro(
  "jsendError",
  function(message, status = ResponseStatus.InternalServerError, additionalData) {
    this.status(status).json({
      status: "error",
      message,
      data: additionalData?.errors,
      code: additionalData?.code
    });
  }
);
